List Webhook Delivery
curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/webhooks/{endpoint}/deliveries \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/webhooks/{endpoint}/deliveries"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/webhooks/{endpoint}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"deliveries": [
{
"token": "whd_f35737a8-60d0-4d62-8259-9cade007570a",
"endpoint_token": "wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3",
"aggregator_id": "agg_7f500b19-a5e4-4410-b334-5653367ebdf6",
"event_id": "txnlog_5246fdcc-6c86-49bb-9da2-aa38262e0291",
"type": "payment.rejected",
"status": "WD_DEAD",
"attempts": 0,
"last_error": "status 422",
"next_attempt_at": "2025-12-17T14:30:03Z",
"created_at": "2025-12-17T14:30:02Z",
"delivered_at": null
},
{
"token": "whd_3c67553a-54ff-4bf7-a2a4-a3db233fd4d8",
"endpoint_token": "wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3",
"aggregator_id": "agg_7f500b19-a5e4-4410-b334-5653367ebdf6",
"event_id": "txnlog_1a574d66-9bdf-48ae-a858-802951c46705",
"type": "payment.completed",
"status": "WD_DEAD",
"attempts": 0,
"last_error": "status 422",
"next_attempt_at": "2025-12-17T12:00:48Z",
"created_at": "2025-12-17T12:00:47Z",
"delivered_at": null
},
{
"token": "whd_5521cdb9-fe09-4fa4-a63b-0c3637af7810",
"endpoint_token": "wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3",
"aggregator_id": "agg_7f500b19-a5e4-4410-b334-5653367ebdf6",
"event_id": "txnlog_9b62b0e1-4493-45cd-a55d-11c37d60e6d2",
"type": "payment.created",
"status": "WD_DEAD",
"attempts": 0,
"last_error": "status 422",
"next_attempt_at": "2025-12-17T12:00:48Z",
"created_at": "2025-12-17T12:00:46Z",
"delivered_at": null
}
],
"count": "10"
}
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}Webhooks
List Webhook Delivery
Retrieve a paginated list of webhook deliveries. It supports pagination, filtering by status, type and event_id.
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
webhooks
/
{endpoint}
/
deliveries
List Webhook Delivery
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
The unique identifier for the webhook endpoint
Example:
"wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3"
Query Parameters
Limit results to Webhook deliveries of the given type
Available options:
payment.created, payment.pending_authorization, payment.authorized, payment.completed, payment.settled, payment.refunded, payment.refund_partial, payment.rejected, payment.failed, payment.reversed, payment.voided, settlement.created, settlement.processing, settlement.completed, settlement.failed, settlement.on_hold, settlement.reversed, refund.created, refund.completed, refund.failed, refund.canceled Example:
"refund.created"
Filter Webhook deliveries by event_id.
Example:
"txnlog_5246fdcc-6c86-49bb-9da2-aa38262e0291"
Filter Webhook deliveries by their status.
Available options:
WD_PENDING, WD_DELIVERED, WD_FAILED, WD_DEAD Example:
"WD_DELIVERED"
Maximum number of Webhook deliveries to include in the response
Example:
"10"
Number of Webhook deliveries to skip before starting the result set
Example:
"0"
Was this page helpful?